query GetNamespacePagesDeployments(
  $fullPath: ID!
  $first: Int
  $last: Int
  $after: String
  $before: String
  $active: Boolean
  $versioned: Boolean
  $sort: Sort
  $projectIds: [ID!]
) {
  namespace(fullPath: $fullPath) {
    id
    name
    projects(includeSubgroups: true, ids: $projectIds) {
      nodes {
        id
        name
        fullPath
        avatarUrl
        pagesDeployments(
          first: $first
          last: $last
          after: $after
          before: $before
          active: $active
          versioned: $versioned
          sort: $sort
        ) {
          count
          pageInfo {
            startCursor
            endCursor
            hasNextPage
            hasPreviousPage
          }
          nodes {
            id
            active
            ciBuildId
            createdAt
            deletedAt
            fileCount
            pathPrefix
            rootDirectory
            size
            updatedAt
            url
          }
        }
      }
    }
  }
}
